Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Example:

"org_clx1a2b3c4"

webhookId
string
required

Webhook ID

Example:

"wh_clx1a2b3c4"

Response

Default Response

id
string
required

Webhook ID

Example:

"wh_clx1a2b3c4"

name
string
required

Human-readable webhook name

Example:

"Order fulfilment notifier"

url
string
required

Webhook endpoint URL

Example:

"https://hooks.example.dk/zippendo"

secret
string
required

Signing secret used to verify webhook payloads

Example:

"whsec_8f3a1c2b9d4e5f6a"

events
string[]
required

Events the webhook is subscribed to

Subscribed event type

Example:
isActive
boolean
required

Whether the webhook is active

Example:

true

brandId
string | null
required

Brand this record belongs to, or null when it is organization-wide

Example:

"brnd_8f3kd92ld0"

createdAt
string
required

Creation timestamp (ISO 8601)

Example:

"2026-06-01T09:30:00.000Z"

updatedAt
string
required

Last update timestamp (ISO 8601)

Example:

"2026-06-10T11:15:00.000Z"